Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359597 - everything is super-slow
Summary: everything is super-slow
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 06:12 UTC by Tomasz Torcz
Modified: 2018-11-30 17:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:53:55 UTC


Attachments (Terms of Use)
gdm-x-session.txt (deleted)
2016-07-25 06:12 UTC, Tomasz Torcz
no flags Details
dmesg.txt (deleted)
2016-07-25 06:12 UTC, Tomasz Torcz
no flags Details
lspci-nn.txt (deleted)
2016-07-25 06:13 UTC, Tomasz Torcz
no flags Details
intel rom (deleted)
2016-07-25 06:13 UTC, Tomasz Torcz
no flags Details

Description Tomasz Torcz 2016-07-25 06:12:07 UTC
Created attachment 1183553 [details]
gdm-x-session.txt

Description of problem:
Display is refreshed very slowly, about once per few seconds. When the refresh happens, it happens in triangles - first half of the window is refreshed, then the second. Line between halves is diagonal, from upper-right hand corner to lower-left.
The PC has integrated Intel GPU, with bigger monitor (NEC in attached log) connected to DVI and smaller (Dell) connected with VGA. Monitors are arranged vertically in GNOME settings.

It was working fine after fresh install of F24, started behaving bad after some upgrades. I can't pinpoint exact time, the system is used non-interactively.

Version-Release number of selected component (if applicable):
kernel-core-4.6.4-301.fc24.x86_64
xorg-x11-drv-intel-2.99.917-24.20160712.fc24.x86_64
xorg-x11-server-Xorg-1.18.4-1.fc24.x86_64

Comment 1 Tomasz Torcz 2016-07-25 06:12:37 UTC
Created attachment 1183555 [details]
dmesg.txt

Comment 2 Tomasz Torcz 2016-07-25 06:13:05 UTC
Created attachment 1183557 [details]
lspci-nn.txt

Comment 3 Tomasz Torcz 2016-07-25 06:13:26 UTC
Created attachment 1183558 [details]
intel rom

Comment 4 Jan Kurik 2016-07-26 04:03:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Hans de Goede 2016-07-26 12:23:14 UTC
Hi,

Can you try downgrading to a 4.6.3 kernel, e.g. :

http://koji.fedoraproject.org/koji/buildinfo?buildID=775288

?

The 4.6.4 builds contains some fixes which weren't completely ready yet.

Regards,

Hans

Comment 6 Tomasz Torcz 2016-07-26 12:31:57 UTC
I'll try, but I need some special arrangements for reboot. Probably it won't happen before after FLOCK.

In the meantime I was able to make it speedier by reducing horizonal resolution on second monitor, which hints to #699705

Comment 7 Tomasz Torcz 2016-08-08 14:03:17 UTC
The slowness is the same with 4.6.3-300.fc24 and 4.6.5-300.fc24

Comment 8 Fedora End Of Life 2017-07-25 22:01:32 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Tomasz Torcz 2017-07-27 15:10:04 UTC
On improvement with F26.

Comment 10 Tomasz Torcz 2017-08-23 10:17:51 UTC
Just tested with F27, the problem is the same.
I see no activity on fixing acceleration with (older) Intel GPUs and surfaces >2048 px. Is this effort doomed?

Comment 11 Ben Cotton 2018-11-27 18:27:54 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2018-11-30 17:53:55 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.